Subject: Re: [mile] I-D Action: draft-ietf-mile-iodef-guidance-10.txt

From: "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Fri, 2 Jun 2017 19:58:24 +0000

Hi Charles,

Sorry, I just got to this. 

I think that is a good idea if there are interested participants. Note that an IODEF exercise took place in 2013 in section 5.2 which is where many of the lessons learned in the draft came from. 

I know Mio-san and team will be joining the hackathon for some specific tool building. Depending on interested parties, someone could have real-world IODEF documented usecases similar to the appendix and make sure they can be parsed. 

Also, if transport is going to be part of it, I think the transport is out of scope for our draft. RID, ROLIE or XMPP would work. I don't think transport should be part of this though.

Regards,
Panos

-----Original Message-----
From: Charles Eckel (eckelcu) 
Sent: Tuesday, May 23, 2017 9:44 AM
To: Panos Kampanakis (pkampana) <[email-masked]>; Nancy Cam-Winget (ncamwing) <[email-masked]>; Takeshi Takahashi <[email-masked]>
Cc: [email-masked]
Subject: Re: [mile] I-D Action: draft-ietf-mile-iodef-guidance-10.txt

Just a thought – would it worthwhile to have a hackathon project on interoperable exchange of information by CSIRTs based on the IODEF model and guidance in this draft?
https://www.ietf.org/hackathon/

Cheers,
Charles

-----Original Message-----
From: mile <[email-masked]> on behalf of "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Monday, May 22, 2017 at 9:24 AM
To: "Nancy Cam-Winget (ncamwing)" <[email-masked]>, Takeshi Takahashi <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [mile] I-D Action: draft-ietf-mile-iodef-guidance-10.txt

    Hi Nancy and Take-san,
    This submission addresses all feedback we received while in the WGLC . 
    Let us know if there is anything else we should address on our end. 
    Thank you,
    Panos

    -----Original Message-----
    From: mile [mailto:[email-masked]] On Behalf Of [email-masked]
    Sent: Monday, May 22, 2017 12:17 PM
    To: [email-masked]
    Cc: [email-masked]
    Subject: [mile] I-D Action: draft-ietf-mile-iodef-guidance-10.txt

    A New Internet-Draft is available from the on-line Internet-Drafts directories.
    This draft is a work item of the Managed Incident Lightweight Exchange of the IETF.
    
            Title           : IODEF Usage Guidance
            Authors         : Panos Kampanakis
                              Mio Suzuki
    	Filename        : draft-ietf-mile-iodef-guidance-10.txt
    	Pages           : 34
    	Date            : 2017-05-22
    
    Abstract:
       The Incident Object Description Exchange Format v2 [RFC7970] defines
       a data representation that provides a framework for sharing
       information commonly exchanged by Computer Security Incident Response
       Teams (CSIRTs) about computer security incidents.  Since the IODEF
       model includes a wealth of available options that can be used to
       describe a security incident or issue, it can be challenging for
       security practitioners to develop tools that can leverage IODEF for
       incident sharing.  This document provides guidelines for IODEF
       implementers.  It also addresses how common security indicators can
       be represented in IODEF and use-cases of how IODEF is being used.
       This document aims to make IODEF's adoption by vendors easier and
       encourage faster and wider adoption of the model by Computer Security
       Incident Response Teams (CSIRTs) around the world.

    The IETF datatracker status page for this draft is:
    https://datatracker.ietf.org/doc/draft-ietf-mile-iodef-guidance/
    
    There are also htmlized versions available at:
    https://tools.ietf.org/html/draft-ietf-mile-iodef-guidance-10
    https://datatracker.ietf.org/doc/html/draft-ietf-mile-iodef-guidance-10
    
    A diff from the previous version is available at:
    https://www.ietf.org/rfcdiff?url2=draft-ietf-mile-iodef-guidance-10

    Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.
    
    Internet-Drafts are also available by anonymous FTP at:
    ftp://ftp.ietf.org/internet-drafts/
    
    _______________________________________________
    mile mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/mile
    
    _______________________________________________
    mile mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/mile